Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
89.48.0.0
Broadcast address
89.63.255.255
First usable
89.48.0.1
Last usable
89.63.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 59300000 · Integer 1496317952 to 1497366527
Reverse DNS zones
48.89.in-addr.arpa
49.89.in-addr.arpa
50.89.in-addr.arpa
51.89.in-addr.arpa
52.89.in-addr.arpa
53.89.in-addr.arpa
54.89.in-addr.arpa
55.89.in-addr.arpa
56.89.in-addr.arpa
57.89.in-addr.arpa
58.89.in-addr.arpa
59.89.in-addr.arpa
60.89.in-addr.arpa
61.89.in-addr.arpa
62.89.in-addr.arpa
63.89.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00110000.00000000.0000000089.48.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network01011001.00110000.00000000.0000000089.48.0.0
Broadcast01011001.00111111.11111111.1111111189.63.255.255
Split into smaller subnets/19

89.48.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.48.0.0/1989.48.0.1 to 89.48.31.25489.48.31.2558,190
289.48.32.0/1989.48.32.1 to 89.48.63.25489.48.63.2558,190
389.48.64.0/1989.48.64.1 to 89.48.95.25489.48.95.2558,190
489.48.96.0/1989.48.96.1 to 89.48.127.25489.48.127.2558,190
589.48.128.0/1989.48.128.1 to 89.48.159.25489.48.159.2558,190
689.48.160.0/1989.48.160.1 to 89.48.191.25489.48.191.2558,190
789.48.192.0/1989.48.192.1 to 89.48.223.25489.48.223.2558,190
889.48.224.0/1989.48.224.1 to 89.48.255.25489.48.255.2558,190
989.49.0.0/1989.49.0.1 to 89.49.31.25489.49.31.2558,190
1089.49.32.0/1989.49.32.1 to 89.49.63.25489.49.63.2558,190
1189.49.64.0/1989.49.64.1 to 89.49.95.25489.49.95.2558,190
1289.49.96.0/1989.49.96.1 to 89.49.127.25489.49.127.2558,190
1389.49.128.0/1989.49.128.1 to 89.49.159.25489.49.159.2558,190
1489.49.160.0/1989.49.160.1 to 89.49.191.25489.49.191.2558,190
1589.49.192.0/1989.49.192.1 to 89.49.223.25489.49.223.2558,190
1689.49.224.0/1989.49.224.1 to 89.49.255.25489.49.255.2558,190
1789.50.0.0/1989.50.0.1 to 89.50.31.25489.50.31.2558,190
1889.50.32.0/1989.50.32.1 to 89.50.63.25489.50.63.2558,190
1989.50.64.0/1989.50.64.1 to 89.50.95.25489.50.95.2558,190
2089.50.96.0/1989.50.96.1 to 89.50.127.25489.50.127.2558,190
2189.50.128.0/1989.50.128.1 to 89.50.159.25489.50.159.2558,190
2289.50.160.0/1989.50.160.1 to 89.50.191.25489.50.191.2558,190
2389.50.192.0/1989.50.192.1 to 89.50.223.25489.50.223.2558,190
2489.50.224.0/1989.50.224.1 to 89.50.255.25489.50.255.2558,190
2589.51.0.0/1989.51.0.1 to 89.51.31.25489.51.31.2558,190
2689.51.32.0/1989.51.32.1 to 89.51.63.25489.51.63.2558,190
2789.51.64.0/1989.51.64.1 to 89.51.95.25489.51.95.2558,190
2889.51.96.0/1989.51.96.1 to 89.51.127.25489.51.127.2558,190
2989.51.128.0/1989.51.128.1 to 89.51.159.25489.51.159.2558,190
3089.51.160.0/1989.51.160.1 to 89.51.191.25489.51.191.2558,190
3189.51.192.0/1989.51.192.1 to 89.51.223.25489.51.223.2558,190
3289.51.224.0/1989.51.224.1 to 89.51.255.25489.51.255.2558,190
3389.52.0.0/1989.52.0.1 to 89.52.31.25489.52.31.2558,190
3489.52.32.0/1989.52.32.1 to 89.52.63.25489.52.63.2558,190
3589.52.64.0/1989.52.64.1 to 89.52.95.25489.52.95.2558,190
3689.52.96.0/1989.52.96.1 to 89.52.127.25489.52.127.2558,190
3789.52.128.0/1989.52.128.1 to 89.52.159.25489.52.159.2558,190
3889.52.160.0/1989.52.160.1 to 89.52.191.25489.52.191.2558,190
3989.52.192.0/1989.52.192.1 to 89.52.223.25489.52.223.2558,190
4089.52.224.0/1989.52.224.1 to 89.52.255.25489.52.255.2558,190
4189.53.0.0/1989.53.0.1 to 89.53.31.25489.53.31.2558,190
4289.53.32.0/1989.53.32.1 to 89.53.63.25489.53.63.2558,190
4389.53.64.0/1989.53.64.1 to 89.53.95.25489.53.95.2558,190
4489.53.96.0/1989.53.96.1 to 89.53.127.25489.53.127.2558,190
4589.53.128.0/1989.53.128.1 to 89.53.159.25489.53.159.2558,190
4689.53.160.0/1989.53.160.1 to 89.53.191.25489.53.191.2558,190
4789.53.192.0/1989.53.192.1 to 89.53.223.25489.53.223.2558,190
4889.53.224.0/1989.53.224.1 to 89.53.255.25489.53.255.2558,190
4989.54.0.0/1989.54.0.1 to 89.54.31.25489.54.31.2558,190
5089.54.32.0/1989.54.32.1 to 89.54.63.25489.54.63.2558,190
5189.54.64.0/1989.54.64.1 to 89.54.95.25489.54.95.2558,190
5289.54.96.0/1989.54.96.1 to 89.54.127.25489.54.127.2558,190
5389.54.128.0/1989.54.128.1 to 89.54.159.25489.54.159.2558,190
5489.54.160.0/1989.54.160.1 to 89.54.191.25489.54.191.2558,190
5589.54.192.0/1989.54.192.1 to 89.54.223.25489.54.223.2558,190
5689.54.224.0/1989.54.224.1 to 89.54.255.25489.54.255.2558,190
5789.55.0.0/1989.55.0.1 to 89.55.31.25489.55.31.2558,190
5889.55.32.0/1989.55.32.1 to 89.55.63.25489.55.63.2558,190
5989.55.64.0/1989.55.64.1 to 89.55.95.25489.55.95.2558,190
6089.55.96.0/1989.55.96.1 to 89.55.127.25489.55.127.2558,190
6189.55.128.0/1989.55.128.1 to 89.55.159.25489.55.159.2558,190
6289.55.160.0/1989.55.160.1 to 89.55.191.25489.55.191.2558,190
6389.55.192.0/1989.55.192.1 to 89.55.223.25489.55.223.2558,190
6489.55.224.0/1989.55.224.1 to 89.55.255.25489.55.255.2558,190
6589.56.0.0/1989.56.0.1 to 89.56.31.25489.56.31.2558,190
6689.56.32.0/1989.56.32.1 to 89.56.63.25489.56.63.2558,190
6789.56.64.0/1989.56.64.1 to 89.56.95.25489.56.95.2558,190
6889.56.96.0/1989.56.96.1 to 89.56.127.25489.56.127.2558,190
6989.56.128.0/1989.56.128.1 to 89.56.159.25489.56.159.2558,190
7089.56.160.0/1989.56.160.1 to 89.56.191.25489.56.191.2558,190
7189.56.192.0/1989.56.192.1 to 89.56.223.25489.56.223.2558,190
7289.56.224.0/1989.56.224.1 to 89.56.255.25489.56.255.2558,190
7389.57.0.0/1989.57.0.1 to 89.57.31.25489.57.31.2558,190
7489.57.32.0/1989.57.32.1 to 89.57.63.25489.57.63.2558,190
7589.57.64.0/1989.57.64.1 to 89.57.95.25489.57.95.2558,190
7689.57.96.0/1989.57.96.1 to 89.57.127.25489.57.127.2558,190
7789.57.128.0/1989.57.128.1 to 89.57.159.25489.57.159.2558,190
7889.57.160.0/1989.57.160.1 to 89.57.191.25489.57.191.2558,190
7989.57.192.0/1989.57.192.1 to 89.57.223.25489.57.223.2558,190
8089.57.224.0/1989.57.224.1 to 89.57.255.25489.57.255.2558,190
8189.58.0.0/1989.58.0.1 to 89.58.31.25489.58.31.2558,190
8289.58.32.0/1989.58.32.1 to 89.58.63.25489.58.63.2558,190
8389.58.64.0/1989.58.64.1 to 89.58.95.25489.58.95.2558,190
8489.58.96.0/1989.58.96.1 to 89.58.127.25489.58.127.2558,190
8589.58.128.0/1989.58.128.1 to 89.58.159.25489.58.159.2558,190
8689.58.160.0/1989.58.160.1 to 89.58.191.25489.58.191.2558,190
8789.58.192.0/1989.58.192.1 to 89.58.223.25489.58.223.2558,190
8889.58.224.0/1989.58.224.1 to 89.58.255.25489.58.255.2558,190
8989.59.0.0/1989.59.0.1 to 89.59.31.25489.59.31.2558,190
9089.59.32.0/1989.59.32.1 to 89.59.63.25489.59.63.2558,190
9189.59.64.0/1989.59.64.1 to 89.59.95.25489.59.95.2558,190
9289.59.96.0/1989.59.96.1 to 89.59.127.25489.59.127.2558,190
9389.59.128.0/1989.59.128.1 to 89.59.159.25489.59.159.2558,190
9489.59.160.0/1989.59.160.1 to 89.59.191.25489.59.191.2558,190
9589.59.192.0/1989.59.192.1 to 89.59.223.25489.59.223.2558,190
9689.59.224.0/1989.59.224.1 to 89.59.255.25489.59.255.2558,190
9789.60.0.0/1989.60.0.1 to 89.60.31.25489.60.31.2558,190
9889.60.32.0/1989.60.32.1 to 89.60.63.25489.60.63.2558,190
9989.60.64.0/1989.60.64.1 to 89.60.95.25489.60.95.2558,190
10089.60.96.0/1989.60.96.1 to 89.60.127.25489.60.127.2558,190
10189.60.128.0/1989.60.128.1 to 89.60.159.25489.60.159.2558,190
10289.60.160.0/1989.60.160.1 to 89.60.191.25489.60.191.2558,190
10389.60.192.0/1989.60.192.1 to 89.60.223.25489.60.223.2558,190
10489.60.224.0/1989.60.224.1 to 89.60.255.25489.60.255.2558,190
10589.61.0.0/1989.61.0.1 to 89.61.31.25489.61.31.2558,190
10689.61.32.0/1989.61.32.1 to 89.61.63.25489.61.63.2558,190
10789.61.64.0/1989.61.64.1 to 89.61.95.25489.61.95.2558,190
10889.61.96.0/1989.61.96.1 to 89.61.127.25489.61.127.2558,190
10989.61.128.0/1989.61.128.1 to 89.61.159.25489.61.159.2558,190
11089.61.160.0/1989.61.160.1 to 89.61.191.25489.61.191.2558,190
11189.61.192.0/1989.61.192.1 to 89.61.223.25489.61.223.2558,190
11289.61.224.0/1989.61.224.1 to 89.61.255.25489.61.255.2558,190
11389.62.0.0/1989.62.0.1 to 89.62.31.25489.62.31.2558,190
11489.62.32.0/1989.62.32.1 to 89.62.63.25489.62.63.2558,190
11589.62.64.0/1989.62.64.1 to 89.62.95.25489.62.95.2558,190
11689.62.96.0/1989.62.96.1 to 89.62.127.25489.62.127.2558,190
11789.62.128.0/1989.62.128.1 to 89.62.159.25489.62.159.2558,190
11889.62.160.0/1989.62.160.1 to 89.62.191.25489.62.191.2558,190
11989.62.192.0/1989.62.192.1 to 89.62.223.25489.62.223.2558,190
12089.62.224.0/1989.62.224.1 to 89.62.255.25489.62.255.2558,190
12189.63.0.0/1989.63.0.1 to 89.63.31.25489.63.31.2558,190
12289.63.32.0/1989.63.32.1 to 89.63.63.25489.63.63.2558,190
12389.63.64.0/1989.63.64.1 to 89.63.95.25489.63.95.2558,190
12489.63.96.0/1989.63.96.1 to 89.63.127.25489.63.127.2558,190
12589.63.128.0/1989.63.128.1 to 89.63.159.25489.63.159.2558,190
12689.63.160.0/1989.63.160.1 to 89.63.191.25489.63.191.2558,190
12789.63.192.0/1989.63.192.1 to 89.63.223.25489.63.223.2558,190
12889.63.224.0/1989.63.224.1 to 89.63.255.25489.63.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses